Subject: Re: [PATCH] ls-files: make option parser keep argv[0]

From: Stephen Boyd <[email-masked]>
Date: Thu, 08 Oct 2009 13:32:50 -0700

Ben Walton wrote:
> The ls-files built-in was not asking the option parser to maintain
> argv[0].  This led to the possibility of fprintf(stderr, "...", NULL).
> On Solaris, this was causing a segfault.  On glibc systems, printed
> error messages didn't contain proper strings, but rather, "(null)":...
>
> A trigger for this bug was: `git ls-files -i`
>
> Signed-off-by: Ben Walton <[email-masked]>
>

Patch looks good.

Just a thought, maybe we should change the fprintf(stderr,...) and
exit(1) call to a die() and replace the argv[0] with "ls-files" similar
to the die() on line 546. Then your diffstat becomes -1 instead of 0.